(defsystem #:ddns-updater
  :version "0.0.1"
  :author "Craig Oates"
  :license "MIT"
  :depends-on (#:com.inuoe.jzon
               #:clingon
               #:cl-fad
               #:dexador
               #:local-time
               #:log4cl)
  :components ((:module "src"
                :components ((:file "cli" :depends-on ("utils"))
                             (:file "utils"))))
:description "System to update DNS records when servers IP address changes."
:build-operation "program-op"
:build-pathname #P"bin/dup"
:entry-point "cli:main"
:in-order-to ((test-op (test-op #:ddns-updater/tests))))

(defsystem #:ddns-updater/tests
  :author "Craig Oates"
  :license "MIT"
  :depends-on (#:ddns-updater
               #:parachute)
  :components ((:module "t"
                :components ((:file "tests"))))
  :description "Test system for ddns-updater."
  :perform (test-op (op s) (symbol-call :parachute :test :tests)))
